Developer Documentation

Public Types | Public Member Functions | Private Attributes | List of all members
OpenVolumeMesh::HalfFaceVertexIter Class Reference
Inheritance diagram for OpenVolumeMesh::HalfFaceVertexIter:

## Public Types
typedef BaseCirculator< HalfFaceHandle, VertexHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseCirculator< HalfFaceHandle, VertexHandle >
typedef BaseIterator< VertexHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< VertexHandle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const VertexHandle | value_type
typedef const VertexHandle * | pointer
typedef const VertexHandle & | reference

## Public Member Functions
| HalfFaceVertexIter (const HalfFaceHandle &_hIdx, const TopologyKernel *_mesh, int _max_laps=1)
HalfFaceVertexIter | operator++ (int)
HalfFaceVertexIter | operator-- (int)
HalfFaceVertexIter | operator+ (int _n)
HalfFaceVertexIter | operator- (int _n)
HalfFaceVertexIter & | operator+= (int _n)
HalfFaceVertexIter & | operator-= (int _n)
HalfFaceVertexIter & | operator++ ()
HalfFaceVertexIter & | operator-- ()
Public Member Functions inherited from OpenVolumeMesh::BaseCirculator< HalfFaceHandle, VertexHandle >
| BaseCirculator (const TopologyKernel *_mesh, const HalfFaceHandle &_ih, const VertexHandle &_oh, int _max_laps=1)
| BaseCirculator (const TopologyKernel *_mesh, const HalfFaceHandle &_ih, int _max_laps=1)
bool | operator== (const BaseCirculator &_c) const
bool | operator!= (const BaseCirculator &_c) const
bool | operator< (const BaseCirculator &_c) const
BaseCirculator & | operator= (const BaseCirculator &_c)
const HalfFaceHandle & | ref_handle () const
void | lap (int _lap)
int | lap () const
void | max_laps (int _max_laps)
int | max_laps () const
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< VertexHandle >
| BaseIterator (const TopologyKernel *_mesh, const VertexHandle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const VertexHandle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Attributes
std::vector< VertexHandle > | vertices_
size_t | cur_index_

## Additional Inherited Members
Protected Attributes inherited from OpenVolumeMesh::BaseCirculator< HalfFaceHandle, VertexHandle >
int | lap_
int | max_laps_
HalfFaceHandle | ref_handle_

## Detailed Description

Definition at line 715 of file Iterators.hh.

The documentation for this class was generated from the following files:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh
- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.cc